Skip to main content
POST
/
api
/
v1
/
ai
/
smart-crop
Smart crop image
curl --request POST \
  --url https://api.kynva.ai/api/v1/ai/smart-crop \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "imageUrl": "<string>",
  "width": 2053,
  "height": 2053,
  "strategy": "attention"
}
'
import requests

url = "https://api.kynva.ai/api/v1/ai/smart-crop"

payload = {
"imageUrl": "<string>",
"width": 2053,
"height": 2053,
"strategy": "attention"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({imageUrl: '<string>', width: 2053, height: 2053, strategy: 'attention'})
};

fetch('https://api.kynva.ai/api/v1/ai/smart-crop', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "url": "<string>",
    "width": 123,
    "height": 123,
    "originalWidth": 123,
    "originalHeight": 123,
    "processingTime": 123
  }
}

Authorizations

Authorization
string
header
required

Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)

Body

application/json
imageUrl
string<uri>
required

URL of the image to crop

width
number
required

Target width in pixels

Required range: 10 <= x <= 4096
height
number
required

Target height in pixels

Required range: 10 <= x <= 4096
strategy
enum<string>
default:attention

Crop strategy: attention (focus on faces/text), entropy (focus on detail), center

Available options:
attention,
entropy,
center

Response

200 - application/json

Image cropped successfully

Image cropped successfully

success
boolean
data
object